﻿@model IEnumerable<CallMgrSystem.Models.vw_RECCallHistory>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="calls">
    <h3><i class="fab fa-slack"></i> Danh sách cuộc gọi</h3>

    <table id="f5devTable" class="table table-striped table-condensed">
        <thead>
            <tr>
                <th onclick="sortTable(0)">Stt</th>
                <th onclick="sortTable(1)">Chiều</th>
                <th onclick="sortTable(2)">Action</th>
                <th onclick="sortTable(3)">Trạm</th>
                <th onclick="sortTable(4)">Bắt đầu</th>
                <th onclick="sortTable(5)">Kết thúc</th>
                <th onclick="sortTable(6)">Thời lượng</th>
                <th onclick="sortTable(7)">Chủ gọi</th>
                <th onclick="sortTable(8)">Bị gọi</th>
                <th onclick="sortTable(9)">Ghi chú</th>
            </tr>
        </thead>
        <tbody>
            @{ int i = 0; }
            @foreach (var item in Model)
            {
                i++;
                <tr>
                    <td>@i</td>
                    <td class="callway">
                        @if (item.Direction == 1)
                        {
                            <i class="fas fa-share"></i>
                        }
                        else
                        {
                            <i class="fas fa-reply"></i>
                        }
                    </td>
                    <td>
                        <a id="f5dev-@item.ID" class="click" data-toggle="modal" href="#@item.ID"><i class="far fa-play-circle"></i></a>
                        <a download href="@Url.Content("~/public/audio/file1.mp3")"><i class="far fa-arrow-alt-circle-down"></i></a>
                        <div class="modal fade" id="@item.ID">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <!-- Modal body -->
                                    <div class="modal-body" style="text-align: center;">
                                        <audio controls>
                                            <source src="@Url.Content("~/public/audio/file1.mp3")" type="audio/mpeg" style="width: 100%;">
                                            Your browser does not support the audio element.
                                        </audio>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <script>
                            $('#f5dev-@item.ID').on('click', function () {

                                $('#@item.ID').modal('show');

                            });
                        </script>
                    </td>
                    <td>@item.Trạm</td>
                    <td>@item.Bắt_đầu</td>
                    <td>@item.Kết_thúc</td>
                    <td>@item.Thời_lượng</td>
                    <td>@item.Chủ_gọi</td>
                    <td>@item.Bị_gọi</td>
                    <td>@item.Ghi_chú</td>
                </tr>
            }

        </tbody>

    </table>
    <style>
    </style>

</div>